Create a Domain
Create a new domain for organizing data assets by business area
POST
POST /v1/domains
Create a Domain
Create a new domain for organizing data assets by business area.Body Parameters
Name of the domain. Must be unique at the same level (top-level or within a parent domain).
Fully qualified name of the parent domain for creating nested domains, for example
Engineering.POST /v1/domains
Returns
Returns the created domain object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/domains instead of POST to perform an upsert. If a domain with the same fullyQualifiedName already exists, it will be updated; otherwise, a new domain is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.